# Intro

This mod morphs the Squirrel Tribe into the Vermin Tribe.  This mod works with API 1.X, API 2.X, and Kaycee's mod DLC.

The Vermin Tribe consists of...
- Rodents ( Rats, Squirrels, Capybera, ect...)
- Eulipotyphla (shrews, hedgehogs, moles, ect...)
- Lagomorpha (Rabbits, Hares, Pikes, ect...)

"but couldn't X be a vermin?"
Fair and true, any animal could be a vermin, as a vermin is just an animal that is a pest to an urban area.
Also I personally didn't want to just make this the "small mammals tribe". 

One can easily add additional cards to the squirrel tribe by editing the tribe section thru jsonloader

## What this mod does....

In Short, it repurposes the Squirrel tribe into the vermin tribe

In Long...
- Adds a Vermin Tribe icon, which will show up on squirrels and all other vermin.
- Once you get the Vermin (Squirrel) head in act 1, You will now instead get a random tribe head at the start of each one instead of always the Vermin head (this can be disabled in the configs).
- If you dont want ANY head at the start of act 1 after getting the Vermin (Squirrel) head, there is a config option that can be turned on. This will override the previous thing.
- Cross mod support with the side-deck mod by division. The above two options won't conflict with how it sets you to start with no tribe head.
- A config option to enable the Vermin head in KCM (also allows skipping the requirement of unlocking the cabinet in act 1) if you are using KCM (Kaycee's mod, the DLC).
- Vermin Tribe card choice now have a 1 in 6 chance to show up at Tribe choice locations. They will not overwrite dominate tribes of the region.
- Changes a decent amount of vanilla cards that were tribeless to the vermin tribe.
- Cross-mod support built in for various cardpacks, found below.

### Vanilla Cards changed to be apart of the Vermin Tribe:

- Beaver
- Field Mice
- Rat King
- Mole
- Mole Man
- Pack Rat
- Porcupine
- Rabbit
- Warren

Two additional cards have been added due to the KCM Royal boss fight calling them Vermin and Rodents (despite the fact they are not)
- Stoat
- Opossum

### Cross-mod Support

- Eri's Card Expansion https://inscryption.thunderstore.io/package/Eri/Eri_Card_Expansion/
  - Hedgehog
  - Rat Skeleton
- Gareth Mod https://inscryption.thunderstore.io/package/Gareth48/GarethMod/  
  - Lemming
- Void Bone Pack https://inscryption.thunderstore.io/package/Void_Slime/Void_Bone_Pack/ 
  - Beast of Caerbannog
- Void Life and Currency Cardpack https://inscryption.thunderstore.io/package/Void_Slime/Void_Life_and_Currency_Cardpack/
  - Dice Mouse
  - Horned Cottentail


If any mod-makers want to use this mod, just mark it as a dependency then make your Vermin tribe cards a part of the squirrel tribe.

### Config options 

Note: Having the side deck mod installed will override all these options. you will start with no head (as that mod sets it to no head) and the squirrel card will be a part of the vermin tribe even if you set it not to be.

[Random Starter Head]
- Random Tribe (default: true)
  - This makes it so once you unlock the squirrel head in act 1, you will now start with a random tribe head. Setting to false will grant you the squirrel head.
- No Tribe (default: false)
  - This makes it so once you unlock the squirrel head in act 1, you will now start with no tribe head like before.

[Squirrels are Vermin]
- Should Squirrels be Vermin in act 1? (default: true)
  - If this is set to false, it will remove squirrels from the vermin tribe in act 1.
- Should Squirrels be Vermin in KCM? (default: false)
  - This makes it so if you are playing in KCM, squirrels are not apart of the vermin tribe by default. turning this to true will make them apart of the tribe.


## Feedback welcome, contact me on the Inscryption modding discord

## Installation (automated)
This is the recommended way to install the API on the game.

- Download and install [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager) or [r2modman](https://timberborn.thunderstore.io/package/ebkr/r2modman/)
- Click Install with Mod Manager button on top of the [page]
- Run the game via the mod manager


## Change log
v1.3.0
- Added Stoat and Opossum based on what Royal calls them. grumble grumble.

v1.2.0
- Reworked the config options. 
  - Removed the 'should the vermin head show up in KCM' option. The vermin head will now always show up in KCM with this mod installed.
  - Added the 'Should Squirrels be Vermin in KCM?' option, which is set to false by default. So the vermin tribe cards can now benifit from the vermin head by default without making the squirrels more powerful in KCM.

v1.1.0
- Tested and made sure it works with API 2.0 and kaycee's mod.


v1.0.1
- patched a really weird bug that happens at choice nodes sometimes
- added Horned cottentail from the Life and Currency Pack for internal automatic support

v1.0.0
- initial release

## Licenses
This mod is under the MIT licenses. That means you are free to take, modify, and redistribute this mod as you wish as long as the resulting product is also under the MIT license. 

## Credits

Digi, and Blind for help in various aspects of this mod